---
title: llarp::quic::Endpoint::version_info

---

# llarp::quic::Endpoint::version_info





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint32_t | **[version](Classes/structllarp_1_1quic_1_1Endpoint_1_1version__info.md#variable-version)**  |
| const uint8_t * | **[dcid](Classes/structllarp_1_1quic_1_1Endpoint_1_1version__info.md#variable-dcid)**  |
| size_t | **[dcid_len](Classes/structllarp_1_1quic_1_1Endpoint_1_1version__info.md#variable-dcid-len)**  |
| const uint8_t * | **[scid](Classes/structllarp_1_1quic_1_1Endpoint_1_1version__info.md#variable-scid)**  |
| size_t | **[scid_len](Classes/structllarp_1_1quic_1_1Endpoint_1_1version__info.md#variable-scid-len)**  |

## Public Attributes Documentation

### variable version

```cpp
uint32_t version;
```


### variable dcid

```cpp
const uint8_t * dcid;
```


### variable dcid_len

```cpp
size_t dcid_len;
```


### variable scid

```cpp
const uint8_t * scid;
```


### variable scid_len

```cpp
size_t scid_len;
```


-------------------------------

Updated on 2022-10-06 at 19:25:19 +0000